from django.db import models
from django.urls import reverse


class Author(models.Model):
    first_name = models.CharField(max_length=100)
    last_name = models.CharField(max_length=100)
    age = models.IntegerField()
    nationality = models.CharField(max_length=100)
    bio = models.CharField(max_length=700)

    def __str__(self):
        return '{}, {}'.format(self.last_name, self.first_name)

    def get_absolute_url(self):
        return reverse('bookshelf:author-details', kwargs={'pk': self.pk})


class Books(models.Model):
    title = models.CharField(max_length=100)
    author = models.ForeignKey(Author, on_delete=models.CASCADE)
    publisher = models.CharField(max_length=100)
    year_published = models.IntegerField(max_length=4)
    ISBN = models.IntegerField(max_length=13)
    blurb = models.CharField(max_length=200)

    def __str__(self):
        return '{} by {}'.format(self.title, self.author)

    def get_absolute_url(self):
        return reverse('bookshelf:book-details', kwargs={'pk': self.pk})
